nel = 10:20 ;
for i = 1:length(nel)
    nx = nel(i) ;
    hx(i) = 2/nx ;
    ny(i) = ceil(1.5*nx) ;
    hy = 3/nx ;
    main_conv ;
    umax(i) = max(max(u_sol{ind})) ;
    close all ;
end
 plot(nel(1:end-1),abs(diff(umax))./umax(1:end-1))
 set(gca,'FontSize',16) ;
 xlabel('No. of elements in x-direction')
 ylabel('Relative error of max value')
 